Bug 33425 - Kickstart: Error copying timezone
Summary: Kickstart: Error copying timezone
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-27 17:30 UTC by Erik Williamson
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-28 21:31:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Erik Williamson 2001-03-27 17:30:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.16-22 i686; en-US; 0.8)
Gecko/20010217


During an nfs kickstart install, I get the following : 
Error copying timezone ( from
/mnt/sysimage/usr/share/zoneinfo/America/Edmonton): no such file or directory

with the corresponding line in my kickstart config:
timezone --utc America/Edmonton


Reproducible: Always
Steps to Reproduce:
1.specify timezone in kickstart config file (any zone will do).  Note that
  I'm fetching this config file from the nfs server.
2.start installation process with kickstart, using nfs as the installation
  medium.
3.switch to virtual terminal 3
4.during post-install configuration, the aforementioned error will occur. 
this does not kill the installation process.
	
Actual Results:  I get the above error.  when I reboot the machine, it will
start fine, but many applications complain about the lack of a locale, and
the clock is all screwy.

Expected Results:  Um, none of the above!  A happy, slick redhat install.

I poked around, and sure enough, the zoneinfo directory is not in there. It
is in my Redhat/instimage/usr/share/ directory on the kickstart server
though.  At this point the Redhat dir is still nfs-mounted, so I'm
wondering why it isn't using that.  For now I'll just change the anaconda
code to get the nfs-mounted zoneinfo.

Comment 1 Matt Wilson 2001-03-28 05:38:45 UTC
did you include "glibc-common" in your package list?


Comment 2 Erik Williamson 2001-03-28 21:31:14 UTC
aha!  That was it.  Was glibc-common originally part of glibc, and then moved to
it's own package?  I Noticed that it wasn't part of the original 7.0 distro.


Note You need to log in before you can comment on or make changes to this bug.